<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.aveplus.avepay_cpocket.music.main.video2.vm.VideoVM" />
    </data>

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="5.0dip"
        android:layout_marginEnd="@dimen/dimen_1x"
        android:layout_marginBottom="5.0dip"
        android:background="?android:selectableItemBackground"
        android:clickable="true"
        android:focusable="true"
        android:onClick="@{viewModel::onItemClick}">


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true">

            <RelativeLayout
                android:id="@+id/rl_img"
                android:layout_width="@dimen/item_category_width"
                android:layout_height="@dimen/dimen_12x"
                android:layout_marginEnd="@dimen/dimen_05x">

                <ImageView
                    android:id="@+id/img_thumb"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:focusable="false"
                    android:scaleType="fitXY"
                    app:url="@{viewModel.getImage}" />

                <ImageView
                    android:id="@+id/img_vip"
                    android:layout_width="@dimen/dimen_3x"
                    android:layout_height="@dimen/dimen_3x"
                    android:layout_alignParentRight="true"
                    android:src="@drawable/ic_vip"
                    android:visibility="@{viewModel.isVisible()}" />
            </RelativeLayout>

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dimen_05x"
                android:layout_toEndOf="@+id/rl_img"
                android:ellipsize="end"
                android:maxLines="1"
                android:text="@{viewModel.getName}"
                android:textAllCaps="true"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_normal"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_description"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/tv_title"
                android:layout_marginStart="@dimen/dimen_05x"
                android:layout_marginEnd="@dimen/dimen_05x"
                android:layout_toEndOf="@id/rl_img"
                android:ellipsize="end"
                android:maxLines="3"
                android:text="@{viewModel.getDescription}"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_small" />

        </RelativeLayout>
    </RelativeLayout>
</layout>